Bug 2049708 - CVE-2022-0480 kernel: memcg does not limit the number of POSIX file locks allowing memory exhaustion [fedora-all]
Summary: CVE-2022-0480 kernel: memcg does not limit the number of POSIX file locks all...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 35
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2022-0480
TreeView+ depends on / blocked
 
Reported: 2022-02-02 15:00 UTC by Guilherme de Almeida Suckevicz
Modified: 2022-03-20 18:37 UTC (History)
21 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-02-10 22:03:52 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Guilherme de Almeida Suckevicz 2022-02-02 15:00:48 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Reproducers, if any, will remain confidential and never be made public, unless done so by the security team.

Comment 1 Guilherme de Almeida Suckevicz 2022-02-02 15:00:51 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=2049700,2049708

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Justin M. Forbes 2022-02-10 22:03:52 UTC
This was fixed for Fedora with the 5.15.x stable kernel rebases.

Comment 3 Rohit Keshri 2022-03-20 18:37:44 UTC
This fix is reverted.

~~~
commit 3754707bcc3e190e5dadc978d172b61e809cb3bd
Author: Linus Torvalds <torvalds>
Date:   Tue Sep 7 11:21:48 2021 -0700

    Revert "memcg: enable accounting for file lock caches"
    
    This reverts commit 0f12156dff2862ac54235fc72703f18770769042.
    
    The kernel test robot reports a sizeable performance regression for this
    commit, and while it clearly does the rigth thing in theory, we'll need
    to look at just how to avoid or minimize the performance overhead of the
    memcg accounting.
    
    People already have suggestions on how to do that, but it's "future
    work".
    
    So revert it for now.
    
    Link: https://lore.kernel.org/lkml/20210907150757.GE17617@xsang-OptiPlex-9020/
    Acked-by: Jens Axboe <axboe>
    Acked-by: Shakeel Butt <shakeelb>
    Acked-by: Roman Gushchin <guro>
    Cc: Tejun Heo <tj>
    Signed-off-by: Linus Torvalds <torvalds>
~~~


Note You need to log in before you can comment on or make changes to this bug.